#!/bin/sh

set -efux

# See bug #941558.
export HOME=/tmp/

if [ -z "$AUTOPKGTEST_NORMAL_USER" ]; then
    adduser --quiet --disabled-login --gecos '' checkmanifest
    AUTOPKGTEST_NORMAL_USER=checkmanifest
fi

for py in $(py3versions -s); do
    runuser -u "$AUTOPKGTEST_NORMAL_USER" -- $py -m pytest -v -k "not test_build_sdist" tests.py
done
